ActivityRequiredException (Java Platform SE 8 )
Keywords: javax.activity.ActivityRequiredException class
Date: 2026-03-16

javax.activity

## Class ActivityRequiredException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.rmi.RemoteException
        - - javax.activity.ActivityRequiredException

- All Implemented Interfaces:
    Serializable

      public class ActivityRequiredException
      extends RemoteException

  This exception is thrown by a container if Activity context is not received on a method for which Activity context is mandatory. This exception indicates a deployment or application configuration error. This exception will be propagated across ORB boundaries via an org.omg.CORBA.ACTIVITY_REQUIRED system exception.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.rmi.RemoteException

      `detail`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActivityRequiredException()` Constructs a new instance with null as its detail message.
    `ActivityRequiredException(String message)` Constructs a new instance with the specified detail message.
    `ActivityRequiredException(String message, Throwable cause)` Constructs a new throwable with the specified detail message and cause.
    `ActivityRequiredException(Throwable cause)` Constructs a new throwable with the specified cause.

  - ### Method Summary

    - ### Methods inherited from class java.rmi.RemoteException

      `getCause, getMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ActivityRequiredException

          public ActivityRequiredException()

      Constructs a new instance with null as its detail message.

    - #### ActivityRequiredException

          public ActivityRequiredException(String message)

      Constructs a new instance with the specified detail message.
      Parameters:
        `message` - the detail message.

    - #### ActivityRequiredException

          public ActivityRequiredException(Throwable cause)

      Constructs a new throwable with the specified cause.
      Parameters:
        `cause` - a chained exception of type `Throwable`.

    - #### ActivityRequiredException

          public ActivityRequiredException(String message,
                                           Throwable cause)

      Constructs a new throwable with the specified detail message and cause.
      Parameters:
        `message` - the detail message.
        `cause` - a chained exception of type `Throwable`.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.